import errorMessageHandler from "../errorMessageHandler";
import formHandler from "../formHandler";

export default {
    methods: {
        successHandler(response){
            this.formHandler('');
            this.$store.dispatch('userAuthentication', {access_token: response.payload.access_token, redirect_url: response.payload.redirect_url});
        },
        errorHandler(error){
            this.formHandler(error.message);
        }
    },
    mixins: [errorMessageHandler, formHandler]

}